package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC概要文件ioslot设置
 * 
 * @author ShaolongTan
 */
@Deprecated
@Table("hmc_profile_ioslot")
public class HmcProfileIoslot {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("profile_id")
    private Long profileId;
    @Column("adapter_id")
    private Long AdapterId;
    @Column("is_required")
    private Boolean isRequired;

    @IgnoreAll
    private HmcIoAdapter hmcIoAdapter;

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the profileId
     */
    public Long getProfileId() {
        return profileId;
    }

    /**
     * @param profileId
     *            the profileId to set
     */
    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    /**
     * @return the adapterId
     */
    public Long getAdapterId() {
        return AdapterId;
    }

    /**
     * @param adapterId
     *            the adapterId to set
     */
    public void setAdapterId(Long adapterId) {
        AdapterId = adapterId;
    }

    /**
     * @return the isRequired
     */
    public Boolean getIsRequired() {
        return isRequired;
    }

    /**
     * @param isRequired
     *            the isRequired to set
     */
    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    /**
     * @return the hmcIoAdapter
     */
    public HmcIoAdapter getHmcIoAdapter() {
        return hmcIoAdapter;
    }

    /**
     * @param hmcIoAdapter
     *            the hmcIoAdapter to set
     */
    public void setHmcIoAdapter(HmcIoAdapter hmcIoAdapter) {
        this.hmcIoAdapter = hmcIoAdapter;
    }
}
